# eric4.Checks.__init__

Package implementing various modules for source code checks.

### Classes

Checkers | Class implementing the high level interface.

### Functions

None

## Checkers

Class implementing the high level interface.

### Derived from

QObject

### Methods

Checkers | Constructor
__showMenu | Private slot to handle the aboutToShow signal of the menu.
closeAllWindows | Public method to close all windows.
getActions | Public method to get a list of all actions.
initActions | Public method to initialize the Checkers actions.
initMenu | Public method called to build the Checkers submenu.
pyLint | Public method used to perform a PyLint run.
syntaxCheck | Public slot used to check the project files for bad syntax.
tabnanny | Public slot used to check the project files for bad indentations.

#### Checkers (Constructor)

Checkers(projectOrBrowser, parent)

Constructor

projectOrBrowser
  reference to the project or project browser object
parent
  parent object of this class (QObject)

#### Checkers.__showMenu

__showMenu()

Private slot to handle the aboutToShow signal of the menu.

#### Checkers.closeAllWindows

closeAllWindows()

Public method to close all windows.

#### Checkers.getActions

getActions()

Public method to get a list of all actions.

Returns:
  list of all actions (list of E4Action)

#### Checkers.initActions

initActions()

Public method to initialize the Checkers actions.

#### Checkers.initMenu

initMenu()

Public method called to build the Checkers submenu.

Returns:
  the menu or None

#### Checkers.pyLint

pyLint(project, mpName)

Public method used to perform a PyLint run.

project
  reference to the Project object
mpName
  name of module or package to be checked (string or QString)

#### Checkers.syntaxCheck

syntaxCheck(files)

Public slot used to check the project files for bad syntax.

files
  File or list of files or directory to be checked (string or list of strings)

#### Checkers.tabnanny

tabnanny(files)

Public slot used to check the project files for bad indentations.

files
  File or list of files or directory to be checked (string or list of strings)

Up